<template>
  <q-item
    clickable
    tag="a"
    :target="target"
    :href="link"
  >
    <q-item-section
      v-if="icon"
      avatar
    >
      <q-icon color="white" :name="icon" />
    </q-item-section>

    <q-item-section>
      <q-item-label class="text-white">{{ title }}</q-item-label>
      <q-item-label caption class="text-grey-4">
        {{ caption }}
      </q-item-label>
    </q-item-section>
  </q-item>
</template>

<script lang="ts">
import { defineComponent } from '@vue/composition-api';

export default defineComponent({
  name: 'EssentialLink',
  props: {
    title: {
      type: String,
      required: true
    },

    caption: {
      type: String,
      default: ''
    },

    link: {
      type: String,
      default: '#'
    },

    icon: {
      type: String,
      default: ''
    },

    target: {
      type: String,
      default: ''
    }
  }
});
</script>
